<?php
class forum_mmoo_content_delete_topic extends forum_mmoo_content{
	function __construct($request=array()){
		parent::__construct($request);
	}
	
	function setOutputMain(){
		if( $this->memberInfo['delete_topic'] == FORUM_MMOO_FLAG_NO ){
			$this->needLinkToList = false;
			$this->outputMain .= $this->copyOutputMain('list');
		}else{
			include_once(FORUM_MMOO_DATA_DIR.'data_topics.php');
			$objTopics = new forum_mmoo_data_topics();
			$topicInfo = $objTopics->getTopicInfo($this->request['forum_mmoo_topic']);
			
			if( $this->request['forum_mmoo_confirm'] == 'yes' ){
				if( $objTopics->deleteTopic($this->request['forum_mmoo_topic']) ){
					$this->outputMain .= '<div id="forum_mmoo-success_message">Topic deleted.</div>';
					
					include_once(FORUM_MMOO_DATA_DIR.'data_notify_reply.php');
					$objNotifyReply = new forum_mmoo_data_notify_reply();
					$objNotifyReply->stop( $this->request['forum_mmoo_topic'] );
					
					include_once(FORUM_MMOO_DATA_DIR.'data_notify_topic.php');
					$objNotifyTopic = new forum_mmoo_data_notify_topic();
					$objNotifyTopic->stop( $this->request['forum_mmoo_topic'] );
					
				}else{
					$this->outputMain .= '<div id="forum_mmoo-error_message">Failed to delete the topic. '.FORUM_MMOO_UNEXPECTED_ERROR_MESSAGE.'</div>';
				}
				$this->needLinkToList = false;
				$this->outputMain .= $this->copyOutputMain('list');
			}else{
				$this->outputMain .= '<span class="forum_mmoo-page_title">Delete the topic "'.$topicInfo['title'].'"</span>';
				$this->outputMain .= '<div id="forum_mmoo-error_message">';
				$this->outputMain .= 'All posts in the topic will be deleted. Are you really truly sure?';
				$this->outputMain .= '&nbsp;&nbsp;&nbsp;&nbsp;<a href="'.forum_mmoo_make_content_url('list').'" class="forum_mmoo-psudo_button">On the second thought....</a>';
				$this->outputMain .= '</div>';
				$this->outputMain .= '<form name="forum_mmoo_form" method="post" action="'.forum_mmoo_make_content_url('delete_topic').'">';
				$this->outputMain .= '<input type="hidden" name="forum_mmoo_topic" value="'.$this->request['forum_mmoo_topic'].'">';
				$this->outputMain .= '<input type="hidden" name="forum_mmoo_confirm" value="yes">';
				$this->outputMain .= '<div align="center"><span class="forum_mmoo-psudo_button" onClick="document.forum_mmoo_form.submit();">DELETE</span></div>';
				$this->outputMain .= '</form>';
			}
		}
	}
}
?>