<?php
include_once(FORUM_MMOO_DATA_DIR.'data_member_info.php');
$forum_mmoo_data_instance = new forum_mmoo_data_member_info();

$forum_mmoo_message_text = '';
$forum_mmoo_message_style = "forum_mmoo-dummy_message";

$forum_mmoo_data = $forum_mmoo_data_instance->getData();
if( !empty($_POST) ){
	$forum_mmoo_errors = array();
	
	if( $_POST[FORUM_MMOO_DASHBOARD_PARAMSUB] != $forum_mmoo_setting_sub_current ){
		$forum_mmoo_errors[] = 'INVALID ACTION';
		$forum_mmoo_data = $forum_mmoo_data_instance->getData();
	}else{
		for($i=1; $i<=FORUM_MMOO_MEMBER_INFO_NUM; $i++){
			$forum_mmoo_data[$i]['alive'] = ($_POST['alive_'.$i]==FORUM_MMOO_FLAG_YES) ? FORUM_MMOO_FLAG_YES : FORUM_MMOO_FLAG_NO;
			$forum_mmoo_data[$i]['question'] = $_POST['question_'.$i];
			$forum_mmoo_data[$i]['required'] = ($_POST['required_'.$i]==FORUM_MMOO_FLAG_YES) ? FORUM_MMOO_FLAG_YES : FORUM_MMOO_FLAG_NO;
			$forum_mmoo_data[$i]['allow_duplication'] = ($_POST['allow_duplication_'.$i]==FORUM_MMOO_FLAG_YES) ? FORUM_MMOO_FLAG_YES : FORUM_MMOO_FLAG_NO;
			$forum_mmoo_data[$i]['show_in_profile'] = ($_POST['show_in_profile_'.$i]==FORUM_MMOO_FLAG_YES) ? FORUM_MMOO_FLAG_YES : FORUM_MMOO_FLAG_NO;
			$forum_mmoo_data[$i]['input_type'] = $_POST['input_type_'.$i];
			switch($_POST['input_type_'.$i]){
				case 'radio':
					$forum_mmoo_data[$i]['input_value_range'] = $_POST['range_radio_'.$i];
				break;
				case 'check':
					$forum_mmoo_data[$i]['input_value_range'] = $_POST['range_check_'.$i];
				break;
				case 'select':
					$forum_mmoo_data[$i]['input_value_range'] = $_POST['range_select_'.$i.'_min'].','.$_POST['range_select_'.$i.'_max'].','.$_POST['range_select_'.$i.'_increase'];
				break;
				case 'date':
					$forum_mmoo_data[$i]['input_value_range'] = $_POST['range_date_'.$i.'_year_min'].','.$_POST['range_date_'.$i.'_year_max'].','.$_POST['range_date_'.$i.'_month'].','.$_POST['range_date_'.$i.'_day'];
				break;
				case 'text':
				default:
					$forum_mmoo_data[$i]['input_value_range'] = '';
				break;
			}
		}
		$forum_mmoo_data = $forum_mmoo_data;
	}
	
	if( $forum_mmoo_data[1]['alive']!=FORUM_MMOO_FLAG_YES && $forum_mmoo_data[2]['alive']!=FORUM_MMOO_FLAG_YES ){
		$forum_mmoo_errors[] = 'Please use either loginID or mail-address: neccesary for signing-in.';
	}
	
	if( !empty($forum_mmoo_errors) ){
		$forum_mmoo_message_text = implode( '<br>', $forum_mmoo_errors );
		$forum_mmoo_message_style = "forum_mmoo-error_message";
	}else{
		if( $forum_mmoo_data_instance->saveData($forum_mmoo_data) ){
			$forum_mmoo_message_text = 'Changes saved!';
			$forum_mmoo_message_style = "forum_mmoo-success_message";
		}else{
			$forum_mmoo_message_text = 'Failed to save changes!!';
			$forum_mmoo_message_style = "forum_mmoo-error_message";
		}
	}
}

for($i=1; $i<=FORUM_MMOO_MEMBER_INFO_NUM; $i++){
	foreach($forum_mmoo_data_instance->input_type as $forum_mmoo_input_type_name => $forum_mmoo_input_types){
		if( $forum_mmoo_data[$i]['input_type']==$forum_mmoo_input_type_name ){
			$forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_checked'] = ' selected ';
			$forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_show'] = '';
			if($forum_mmoo_input_type_name=='select'){
				$forum_mmoo_exploded = explode(',',$forum_mmoo_data[$i]['input_value_range']);
				$forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value_min'] = $forum_mmoo_exploded[0];
				$forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value_max'] = $forum_mmoo_exploded[1];
				$forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value_increase'] = $forum_mmoo_exploded[2];
			}elseif($forum_mmoo_input_type_name=='date'){
				$forum_mmoo_exploded = explode(',',$forum_mmoo_data[$i]['input_value_range']);
				$forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value_year_min'] = $forum_mmoo_exploded[0];
				$forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value_year_max'] = $forum_mmoo_exploded[1];
				if( $forum_mmoo_exploded[2]==FORUM_MMOO_FLAG_YES){
					$forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value_month'] = ' checked ';
				}else{
					$forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value_month'] = '';
				}
				if( $forum_mmoo_exploded[3]==FORUM_MMOO_FLAG_YES){
					$forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value_day'] = ' checked ';
				}else{
					$forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value_day'] = '';
				}
			}else{
				$forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value'] = $forum_mmoo_data[$i]['input_value_range'];
			}
		}else{
			$forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_checked'] = '';
			$forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_show'] = ' style="display:none;" ';
			$forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value'] = '';
		}
	}
}

$arrForJavascript = '[';
$and = ',';
foreach($forum_mmoo_data_instance->input_type as $input_type_name => $val){
	$arrForJavascript .= $and."'".$input_type_name."'";
	$and = ',';
}
$arrForJavascript .= ']';
?>

<div id="<?php echo $forum_mmoo_message_style; ?>"><?php echo $forum_mmoo_message_text; ?></div>

<form method="post" action="<?php echo $forum_mmoo_setting_page_url; ?>">
<input type="hidden" name="<?php echo FORUM_MMOO_DASHBOARD_PARAMSUB; ?>" value="<?php echo $forum_mmoo_setting_sub_current; ?>">
<div style="margin-bottom: 0; width:75em;">
<table id="forum_mmoo-table_member_info">
 <tr>
  <th style="width:3em;">Use</th>
  <th style="width:12em;">Item</th>
  <th style="width:6em;">Require
	<img src="<?php echo FORUM_MMOO_FILE_URL; ?>/image/question_bg9400d3_15.jpg" class="mmoo_popup_open_button" alt="Require?" onClick="mmoo_popOpen('require');">
  </th>
  <th style="width:6em;">Allow Duplication
	<img src="<?php echo FORUM_MMOO_FILE_URL; ?>/image/question_bg9400d3_15.jpg" class="mmoo_popup_open_button" alt="Allow Duplication?" onClick="mmoo_popOpen('duplication');">
  </th>
  <th style="width:7em;">Show On Profile</th>
  <th style="width:15em;">Input Type</th>
 </tr>
<?php
for($i=1; $i<=FORUM_MMOO_MEMBER_INFO_NUM; $i++){
?>
 <tr id="forum_mmoo_group_tr_<?php echo $i;?>" <?php if($forum_mmoo_data[$i]['alive']!=FORUM_MMOO_FLAG_YES){ echo 'class="dead"'; } ?> >
  <td>
<?php 
	if( $forum_mmoo_data[$i]['change_alive']==FORUM_MMOO_FLAG_NO ){
?>
	<input type="checkbox" checked disabled>
	<input type="hidden" name="alive_<?php echo $i; ?>" value="<?php echo FORUM_MMOO_FLAG_YES; ?>" >
<?php
	}else{
?>
	<input type="checkbox" id="forum_mmoo_chk_alive_<?php echo $i; ?>" name="alive_<?php echo $i; ?>" value="<?php echo FORUM_MMOO_FLAG_YES; ?>" <?php if($forum_mmoo_data[$i]['alive']==FORUM_MMOO_FLAG_YES){echo ' checked ';} ?> onClick="forum_mmoo_killTrWhenChecked('forum_mmoo_group_tr_<?php echo $i;?>','forum_mmoo_chk_alive_<?php echo $i; ?>');">
<?php
	}
	if($i==1){
?>
	<img src="<?php echo FORUM_MMOO_FILE_URL; ?>/image/ques_15.jpg" class="mmoo_popup_open_button" alt="Unuse of loginIDs" onClick="mmoo_popOpen('loginid');">
<?php
	}
?>
  </td>
  <td>
	<input type="text" style="width:90%;" name="question_<?php echo $i; ?>" value="<?php echo $forum_mmoo_data[$i]['question']; ?>">
<?php
	if( !empty($forum_mmoo_data[$i]['default_question']) ){
?>
		<br><span class="forum_mmoo-comment"><?php echo $forum_mmoo_data[$i]['default_question']; ?></span>
<?php
	}
?>
  </td>
  <td>
<?php
	if( $forum_mmoo_data[$i]['change_required']==FORUM_MMOO_FLAG_NO ){
?>
		<input type="checkbox" checked disabled>
		<input type="hidden" name="required_<?php echo $i; ?>" value="<?php echo FORUM_MMOO_FLAG_YES; ?>" >
<?php
	}else{
?>
		<input type="checkbox" name="required_<?php echo $i; ?>" value="<?php echo FORUM_MMOO_FLAG_YES; ?>" <?php if($forum_mmoo_data[$i]['required']==FORUM_MMOO_FLAG_YES){echo ' checked ';} ?> >
<?php
	}
?>
  </td>
  <td>
	<input type="checkbox" name="allow_duplication_<?php echo $i; ?>" value="<?php echo FORUM_MMOO_FLAG_YES; ?>" <?php if( !isset($forum_mmoo_data[$i]['allow_duplication']) || $forum_mmoo_data[$i]['allow_duplication']==FORUM_MMOO_FLAG_YES ){echo ' checked ';}?> >
  </td>
  <td>
	<input type="checkbox" name="show_in_profile_<?php echo $i; ?>" value="<?php echo FORUM_MMOO_FLAG_YES; ?>" <?php if( !isset($forum_mmoo_data[$i]['show_in_profile']) || $forum_mmoo_data[$i]['show_in_profile']==FORUM_MMOO_FLAG_YES ){echo ' checked ';}?> >
  </td>
  <td>
<?php
	if( $forum_mmoo_data[$i]['priority']>1 ){
		echo $forum_mmoo_data_instance->input_type[$forum_mmoo_data[$i]['input_type']]['text']
?>
	<input type="hidden"  name="input_type_<?php echo $i; ?>" value="<?php echo $forum_mmoo_data[$i]['input_type']; ?>">
<?php
	}else{
?>
	<select id="input_type_<?php echo $i; ?>" name="input_type_<?php echo $i; ?>" onChange="forum_mmoo_change_range('<?php echo $i; ?>',<?php echo $arrForJavascript; ?>);">
<?php
		foreach($forum_mmoo_data_instance->input_type as $forum_mmoo_input_type_name => $forum_mmoo_input_types){
?>
	 <option value="<?php echo $forum_mmoo_input_type_name; ?>" <?php echo $forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_checked']; ?>><?php echo $forum_mmoo_input_types['text']; ?>
<?php
		}
?>
	</select>
<?php
		foreach($forum_mmoo_data_instance->input_type as $forum_mmoo_input_type_name => $forum_mmoo_input_types){
?>
	<div id="range_div_<?php echo $i; ?>_<?php echo $forum_mmoo_input_type_name; ?>" class="forum_mmoo-range_detail" <?php echo $forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_show']; ?>>
<?php 
			switch($forum_mmoo_input_type_name){
				case 'radio':
				case 'check':
?>
			Choices (separating by commas)
			<br><input type="text" name="range_<?php echo $forum_mmoo_input_type_name; ?>_<?php echo $i; ?>" value="<?php echo $forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value']; ?>">
<?php
				break;
				case 'select':
?>
			min : <input type="text" class="forum_mmoo-input-num" name="range_<?php echo $forum_mmoo_input_type_name; ?>_<?php echo $i; ?>_min" value="<?php echo $forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value_min']; ?>">
			<br>max : <input type="text" class="forum_mmoo-input-num" name="range_<?php echo $forum_mmoo_input_type_name; ?>_<?php echo $i; ?>_max" value="<?php echo $forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value_max']; ?>">
			<br>increse : <input type="text" class="forum_mmoo-input-num" name="range_<?php echo $forum_mmoo_input_type_name; ?>_<?php echo $i; ?>_increase" value="<?php echo $forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value_increase']; ?>">
<?php
				break;
				case 'date':
?>
			min year : <input type="text" class="forum_mmoo-input-num" name="range_<?php echo $forum_mmoo_input_type_name; ?>_<?php echo $i; ?>_year_min" value="<?php echo $forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value_year_min']; ?>">
			<br>*If you don't need years, leave min year empty.
			<br>max year : <input type="text" class="forum_mmoo-input-num" name="range_<?php echo $forum_mmoo_input_type_name; ?>_<?php echo $i; ?>_year_max" value="<?php echo $forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value_year_max']; ?>">
			<br>*If you want the current year as max, leave max year empty.
			<br><input type="checkbox" name="range_<?php echo $forum_mmoo_input_type_name; ?>_<?php echo $i; ?>_month" value="<?php echo FORUM_MMOO_FLAG_YES; ?>" <?php echo $forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value_month']; ?>>need months
			<br><input type="checkbox" name="range_<?php echo $forum_mmoo_input_type_name; ?>_<?php echo $i; ?>_day" value="<?php echo FORUM_MMOO_FLAG_YES; ?>" <?php echo $forum_mmoo_data[$i][$forum_mmoo_input_type_name.'_value_day']; ?>>need days
<?php
				break;
				default:
				break;
			}
?>
	</div>
<?php
		}
	}
?>
  </td>
 </tr>
<?php
}
?>
</table>
<div style="margin-top:1em; margin-left:20em;"><input type="submit" class="forum_mmoo-submit" value="Save"></div>
</form>

<div id="mmoo_popup_require" class="mmoo_popup">
 <table>
  <tr>
   <th class="mmoo_drag_handle">Require</th>
   <th width="42px">
	<img class="mmoo_popup_close_button" src="<?php echo FORUM_MMOO_FILE_URL; ?>/image/close_40_15.jpg" alt="CLOSE" onClick="mmoo_popClose('require');">
   </th>
  </tr>
  <tr>
   <td colspan="2">Checked items will be "required" for singing up, and will be unable to skip.</td>
  </tr>
 </table>
</div>

<div id="mmoo_popup_duplication" class="mmoo_popup">
 <table>
  <tr>
   <th class="mmoo_drag_handle">Allow Duplication</th>
   <th width="42px">
	<img class="mmoo_popup_close_button" src="<?php echo FORUM_MMOO_FILE_URL; ?>/image/close_40_15.jpg" alt="CLOSE" onClick="mmoo_popClose('duplication');">
   </th>
  </tr>
  <tr>
   <td colspan="2">
	<p>Checked items will be permitted to duplicate among members.</p>
	<p>Please uncheck if you'd like to have the item unique for a member (like mail address.)</p>
   </td>
  </tr>
 </table>
</div>

<div id="mmoo_popup_loginid" class="mmoo_popup">
 <table>
  <tr>
   <th class="mmoo_drag_handle">Without LoginIDs</th>
   <th width="42px">
	<img class="mmoo_popup_close_button" src="<?php echo FORUM_MMOO_FILE_URL; ?>/image/close_40_15.jpg" alt="CLOSE" onClick="mmoo_popClose('loginid');">
   </th>
  </tr>
  <tr>
   <td colspan="2">If you uncheck "loginID", mail addresses (with password) will be used for signing in.</td>
  </tr>
 </table>
</div>
