<?php
function forum_mmoo_get_valid_content_actions(){
	return  array(
		'list'
		, 'register'
		, 'mail_confirm'
		, 'login'
		, 'logout'
		, 'leave'
		, 'pass_remind'
		, 'profile'
		, 'edit_profile'
		, 'mail_change'
		, 'message'
		, 'posts'
		, 'create_topic'
		, 'delete_topic'
		, 'notify_topic'
		, 'edit_post'
		, 'delete_post'
		, 'notify_reply'
	);
}

function forum_mmoo_make_content_url( $act='', $option=array(), $blogPage=null ){
	global $wp_rewrite;
	if( $wp_rewrite->using_permalinks() ){
		$delim = '?';
	}else{
		$delim = FORUM_MMOO_DELIM_AMP;
	}
	
	if( empty($blogPage) ){
		$blogPage = get_the_ID();
	}
	$url = get_permalink($blogPage);
	
	$request = '';
	$and = '';
	if( !empty($act) ){
		$request .= 'act__'.$act;
		$and = '/';
	}
	if( !empty($option) ){
		foreach( $option as $key => $val ){
			$request .= $and.$key.'__'.$val;
			$and = '/';
		}
	}
	
	if( !empty($request) ){
		$url .= $delim.'forum_mmoo='.$request;
	}
	return $url;
}

function forum_mmoo_get_paginate_format($pageParamName){
	return '/'.$pageParamName.'__%#%';
}

function forum_mmoo_get_content_request(){
	$request = array();
	if( empty($_GET['forum_mmoo']) ){
		$request['act'] = 'list';
	}else{
		$exploded = explode('/', $_GET['forum_mmoo']);
		foreach($exploded as $arrowYetString){
			$arrowExploded = explode('__', $arrowYetString);
			$request[$arrowExploded[0]] = $arrowExploded[1];
		}
		if( empty($request['act']) || !in_array($request['act'], forum_mmoo_get_valid_content_actions()) ){
			$request['act'] = 'list';
		}
	}
	
	$request = array_merge($request,$_POST);
	return $request;
}

?>
