<?php
/*****
  Session
*****/
function forum_mmoo_get_session(){
	include_once(FORUM_MMOO_DATA_DIR.'data_psudo_session.php');
	$forum_mmoo_psudo_session = new forum_mmoo_data_psudo_session();
	$sid = forum_mmoo_get_psudo_session_id();
	return $forum_mmoo_psudo_session->getSession($sid);
}

function forum_mmoo_set_session($key, $info){
	include_once(FORUM_MMOO_DATA_DIR.'data_psudo_session.php');
	$forum_mmoo_psudo_session = new forum_mmoo_data_psudo_session();
	$sid = forum_mmoo_get_psudo_session_id();
	$forum_mmoo_psudo_session->saveSession( $sid, $key, $info );
}

function forum_mmoo_unset_session($key=null){
	include_once(FORUM_MMOO_DATA_DIR.'data_psudo_session.php');
	$forum_mmoo_psudo_session = new forum_mmoo_data_psudo_session();
	$sid = forum_mmoo_get_psudo_session_id();
	$forum_mmoo_psudo_session->unsetSession($sid, $key);
}

/*****
  Cookie
*****/
function forum_mmoo_get_cookie(){
	include_once(FORUM_MMOO_DATA_DIR.'data_psudo_session.php');
	$forum_mmoo_psudo_session = new forum_mmoo_data_psudo_session();
	$sid = forum_mmoo_get_psudo_cookie_id();
	return $forum_mmoo_psudo_session->getCookie($sid);
}

function forum_mmoo_set_cookie($key, $info){
	include_once(FORUM_MMOO_DATA_DIR.'data_psudo_session.php');
	$forum_mmoo_psudo_session = new forum_mmoo_data_psudo_session();
	$sid = forum_mmoo_get_psudo_cookie_id();
	$forum_mmoo_psudo_session->saveCookie( $sid, $key, $info );
}

function forum_mmoo_unset_cookie($key=null){
	include_once(FORUM_MMOO_DATA_DIR.'data_psudo_session.php');
	$forum_mmoo_psudo_session = new forum_mmoo_data_psudo_session();
	$sid = forum_mmoo_get_psudo_cookie_id();
	$forum_mmoo_psudo_session->unsetCookie($sid, $key);
}
?>
