(function() {
	tinymce.create('tinymce.plugins.MmooEmotionsPlugin', {
		init : function(ed, url) {
			// Register commands
			ed.addCommand('mceEmotion', function() {
				ed.windowManager.open({
					file : url + '/mmoo_emotions.php',
					width : 250 + parseInt(ed.getLang('emotions.delta_width', 0)),
					height : 160 + parseInt(ed.getLang('emotions.delta_height', 0)),
					inline : 1
				}, {
					plugin_url : url
				});
			});

			// Register buttons
			ed.addButton('mmoo_emotions', {title : 'emotions.emotions_desc', cmd : 'mceEmotion' , image : url + '/smiley/01.gif'});
		},

		getInfo : function() {
			return {
				longname : 'MmooEmotions',
				author : 'mmoo',
				authorurl : 'http://',
				infourl : 'http://',
				version : '1.0.0'
			};
		}
	});

	// Register plugin
	tinymce.PluginManager.add('mmoo_emotions', tinymce.plugins.MmooEmotionsPlugin);
})();