<?php
class forum_mmoo_content_leave extends forum_mmoo_content{
	function __construct($request=array()){
		parent::__construct($request);
	}
	
	function setOutputMain(){
		if( $this->request['forum_mmoo_confirm'] == 'yes' ){
			$this->letLeave();
		}else{
			$this->makeSure();
		}
	}
	
	function letLeave(){
		include_once(FORUM_MMOO_DATA_DIR.'data_members.php');
		$objMembers = new forum_mmoo_data_members();
		
		if( !$objMembers->deleteMember($this->memberInfo['member_id']) ){
			$this->outputMain .= '<div id="forum_mmoo-error_message">Failed to delete your data. '.FORUM_MMOO_UNEXPECTED_ERROR_MESSAGE.'</div>';
		}else{
			include_once(FORUM_MMOO_CONTENT_DIR.'_login_class.php');
			$objLogin = new forum_mmoo_login_class();
			$objLogin->logout();
			
			include_once(FORUM_MMOO_DATA_DIR.'data_notify_reply.php');
			$objNotifyReply = new forum_mmoo_data_notify_reply();
			$objNotifyReply->stop(null, null, $this->memberInfo['member_id']);
			
			include_once(FORUM_MMOO_DATA_DIR.'data_notify_topic.php');
			$objNotifyTopic = new forum_mmoo_data_notify_topic();
			$objNotifyTopic->stop(null, $this->memberInfo['member_id']);
			
			$this->setMemberInfoWithDb(0);
			$this->outputMain .= '<div id="forum_mmoo-success_message">Hope to see you some day again!</div>';
		}
	}
	
	function makeSure(){
		$sessionData = forum_mmoo_get_session();
		$this->outputMain .= '<span class="forum_mmoo-page_title">Leave The Forum</span>';
		$this->outputMain .= '<div id="forum_mmoo-error_message">';
		$this->outputMain .= 'Are you really truly sure?';
		$this->outputMain .= '&nbsp;&nbsp;&nbsp;&nbsp;<a href="'.forum_mmoo_make_content_url($sessionData['backPage']['act'], $sessionData['backPage']['option']).'" class="forum_mmoo-psudo_button">On the second thought....</a>';
		$this->outputMain .= '</div>';
		$this->outputMain .= '<form name="forum_mmoo_form" method="post" action="'.forum_mmoo_make_content_url('leave').'">';
		$this->outputMain .= '<input type="hidden" name="forum_mmoo_confirm" value="yes">';
		$this->outputMain .= '<div align="center"><span class="forum_mmoo-psudo_button" onClick="document.forum_mmoo_form.submit();">LEAVE</span></div>';
		$this->outputMain .= '</form>';
	}
}
?>