<?php
class forum_mmoo_content_notify_reply extends forum_mmoo_content{
	function __construct($request=array()){
		parent::__construct($request);
	}
	
	function setOutputMain(){
		include_once(FORUM_MMOO_DATA_DIR.'data_thread.php');
		$objThread = new forum_mmoo_data_thread( $this->request['forum_mmoo_topic'] );
		$postInfo = $objThread->getPost( $this->request['forum_mmoo_post'] );
		
		if(
			( $this->memberInfo['notify_own']==FORUM_MMOO_FLAG_YES )
			||
			( $this->memberInfo['notify_other']==FORUM_MMOO_FLAG_YES && $postInfo['posted_by']==$this->memberInfo['member_id'] )
		){
			include_once(FORUM_MMOO_DATA_DIR.'data_notify_reply.php');
			$objNotifyReply = new forum_mmoo_data_notify_reply();
			if( $this->request['change']=='start' || $this->request['change']=='stop' ){
				$result = $objNotifyReply->{$this->request['change']}($this->request['forum_mmoo_topic'], $this->request['forum_mmoo_post'], $this->memberInfo['member_id']);
				$fatal = false;
			}else{
				$fatal = true;
			}
		}
		
		$sessionData = forum_mmoo_get_session();
		switch( $sessionData['backPage']['act'] ){
			case 'posts':
				if( $fatal ){
					$this->outputMain .= '<div id="forum_mmoo-error_message">';
					$this->outputMain .= 'Failed to save data. '.FORUM_MMOO_UNEXPECTED_ERROR_MESSAGE;
					$this->outputMain .= '</div>';
				}elseif( $result && $this->request['change']=='start' ){
					$this->outputMain .= '<div id="forum_mmoo-success_message">';
					$this->outputMain .= 'Data saved. Now you can get notifying mails when the post get replied.';
					$this->outputMain .= '</div>';
				}elseif( $result && $this->request['change']=='stop' ){
					$this->outputMain .= '<div id="forum_mmoo-success_message">';
					$this->outputMain .= 'Data saved. Now you will not get mails when the post get replied.';
					$this->outputMain .= '</div>';
				}
				
				$act = 'posts';
				$option = $sessionData['backPage']['option'];
			break;
			
			case 'edit_profile':
				$act = 'edit_profile';
				$option = $sessionData['backPage']['option'];
			break;
			
			default:
				$act = 'posts';
				$option = array('forum_mmoo_topic'=>$this->request['forum_mmoo_topic']);
			break;
		}
		$this->outputMain .= $this->copyOutputMain($act, $option);
	}
}
?>
