<?php
include_once(FORUM_MMOO_FUNCTIONS_DIR.'editor.php');
include_once(FORUM_MMOO_FUNCTIONS_DIR.'mail.php');
include_once(FORUM_MMOO_DATA_DIR.'data_explanation.php');
$forum_mmoo_explanation_instance = new forum_mmoo_data_explanation();

$forum_mmoo_message_text = '';
$forum_mmoo_message_style = "forum_mmoo-dummy_message";

if( $_POST['forum_mmoo_submit']=='explanation' ){
	if( $_POST[FORUM_MMOO_DASHBOARD_PARAMSUB] != $forum_mmoo_setting_sub_current ){
		$forum_mmoo_errors[] = 'INVALID ACTION';
		$forum_mmoo_data = $forum_mmoo_data_instance->getData();
	}
	if( !empty($forum_mmoo_errors) ){
		$forum_mmoo_message_text = implode( '<br>', $forum_mmoo_errors );
		$forum_mmoo_message_style = "forum_mmoo-error_message";
	}else{
		if( $forum_mmoo_explanation_instance->saveData($_POST['for_what'],wp_kses_post($_POST['explanation_title']),wp_kses_post($_POST['explanation_content'])) ){
			$forum_mmoo_message_text = 'Chages saved!';
			$forum_mmoo_message_style = "forum_mmoo-success_message";
		}else{
			$forum_mmoo_message_text = 'Failed to save changes!!';
			$forum_mmoo_message_style = "forum_mmoo-error_message";
		}
	}
}
?>

<div id="<?php echo $forum_mmoo_message_style; ?>"><?php echo $forum_mmoo_message_text; ?></div>
<p>Edit Mails From Your Forum</p>
Insert <a style="cursor: pointer; text-decoration: underline; font-weight:bold;" alt="Tags You Can Use" onClick="mmoo_popOpen('tags');">tags</a> into your mails
<br>and you can put the member's profile info or your forum's URL.

<?php
$forum_mmoo_explanation_keys = array(
	'confirm_mail' => 'SIGN-UP :: Account Activation'
	, 'allowed_in' => 'SIGN-UP :: Manually Allowed In'
	, 'rejected' => 'SIGN-UP :: Rejected'
	, 'change_mail' => 'PROFILE-CHANGE :: Changed Mail Address Activation'
	, 'notify_topic' => 'NOTIFICATION :: Topic Updates'
	, 'notify_reply' => 'NOTIFICATION :: Post Replies'
	, 'notify_message' => 'NOTIFICATION :: Messages'
	, 'password_remind' => 'Password Reminder'
);
foreach($forum_mmoo_explanation_keys as $key => $val){
	$forum_mmoo_explanation = $forum_mmoo_explanation_instance->getData($key);
?>
	<form method="post" action="<?php echo $forum_mmoo_setting_page_url; ?>">
	<input type="hidden" name="<?php echo FORUM_MMOO_DASHBOARD_PARAMSUB; ?>" value="<?php echo $forum_mmoo_setting_sub_current; ?>">
	<input type="hidden" name="forum_mmoo_submit" value="explanation">
	<input type="hidden" name="for_what" value="<?php echo $key; ?>">
	<div class="forum_mmoo-title_box">
	<?php echo $val; ?>
		<div class="forum_mmoo-right">
			<input type="button" class="forum_mmoo-button" onClick="mmoo_popOpen('tags');" value="Show Tags">
			<input type="submit" class="forum_mmoo-submit" value="Save">
		</div>
	</div>
	<div class="forum_mmoo-content_box">
		<strong>Mail TITLE : </strong>
		<input type="text" style="width:40em;" name="explanation_title" value="<?php echo $forum_mmoo_explanation['title']; ?>">
		<textarea name="explanation_content" cols=80 rows=6><?php echo $forum_mmoo_explanation['content']; ?></textarea>
	</div>
	</form>
<?php
}
?>

<div id="mmoo_popup_tags" class="mmoo_popup" style="width:55em;">
 <table>
  <tr>
   <th class="mmoo_drag_handle">Tags To Insert Into Your Mails</th>
   <th width="42px">
	<img class="mmoo_popup_close_button" src="<?php echo FORUM_MMOO_FILE_URL; ?>/image/close_40_15.jpg" alt="CLOSE" onClick="mmoo_popClose('tags');">
   </th>
  </tr>
  <tr>
   <td colspan="2">
	<table class="forum_mmoo-table_explain">
	 <tr>
	  <th style="width:20em;">Tag</th>
	  <th style="width:30em;">Description</th>
	 </tr>
<?php
$tagsMember = forum_mmoo_get_tags_member();
$tagsUrl = forum_mmoo_get_tags_Url();
$tagsSpecial = forum_mmoo_get_tags_special();
$td = '<td rowspan="'.count($tagsMember).'">';
$td .= 'Can be used in ALL mails.';
$td .= '<div class="forum_mmoo-comment">';
$td .= '*If you use this tag in the password reminder, <br>and if you allow duplications of mail addresses among the members, <br>the info of several members might be shown, separated by commas.';
$td .= '</div>';
$td .= '</td>';
foreach($tagsMember as $key => $val){
?>
	 <tr>
	  <td><?php echo $val['tag']; ?></td>
	  <?php echo $td; ?>
	 </tr>
<?php
	$td = '';
}
?>
	 <tr>
	  <td><?php echo $tagsSpecial['Sign-In Info']; ?></td>
	  <td><input type="button" class="forum_mmoo-button" onClick="mmoo_popOpen('login_info');" value="details">&nbsp;&nbsp;Can be used in All mails.</td>
	 </tr>
	 <tr>
	  <td><?php echo $tagsUrl['URL of your forum']; ?></td>
	  <td rowspan="2">Can be used in ALL mails.</td>
	 </tr>
	 <tr>
	  <td><?php echo $tagsUrl['URL of the message']; ?></td>
	 </tr>
	 <tr>
	  <td><?php echo $tagsUrl['URL for the account activation']; ?></td>
	  <td>Can be used in the Account Activation mail.</td>
	 </tr>
	 <tr>
	  <td><?php echo $tagsUrl['URL for the changed address activation']; ?></td>
	  <td>Can be used in the Changed Mail Address Activation mail.</td>
	 </tr>
	 <tr>
	  <td><?php echo $tagsUrl['URL of the topic']; ?></td>
	  <td>Can be used in the Topic Updates Notification mail.</td>
	 </tr>
	 <tr>
	  <td><?php echo $tagsUrl['URL of the post']; ?></td>
	  <td>Can be used in the Post Reply Notification mail.</td>
	 </tr>
	</table>
   </td>
  </tr>
 </table>
</div>

<div id="mmoo_popup_login_info" class="mmoo_popup" style="width:70em;">
 <table>
  <tr>
   <th class="mmoo_drag_handle">The tag for the <?php echo $tagsSpecial['Sign-In Info']; ?></th>
   <th width="42px">
	<img class="mmoo_popup_close_button" src="<?php echo FORUM_MMOO_FILE_URL; ?>/image/close_40_15.jpg" alt="CLOSE" onClick="mmoo_popClose('login_info');">
   </th>
  </tr>
  <tr>
   <td colspan="2">*1 : If you use the loginIDs, the tag will be converted to the set of loginID and password. If not, just to the password.
	<br>*2 : If you use this tag in the password reminder, and if you allow duplications of mail addresses among the members, to the setS of loginID&password, or passwordS.
	<table class="forum_mmoo-table_explain">
	 <tr>
	  <th style="width:22em;"></th>
	  <th style="width:20em;">when using loginIDs</th>
	  <th style="width:20em;">when without loginIDs</th>
	 </tr>
	 <tr>
	  <th>In the mails <br>with witch one member can be identified</th>
	  <td>loginID : xxxxx<br>password : xxxxx</td>
	  <td>password : xxxxx</td>
	 </tr>
	 <tr>
	  <th>In the password reminder <br>with witch more than one members meet the condition</th>
	  <td>loginID : xxxxx , password :  xxxxx<br>loginID : xxxxx , password : xxxxx<br>.....</td>
	  <td>password : xxxxx , xxxxx , xxxxx .....</td>
	 </tr>
	</table>
   </td>
  </tr>
 </table>
</div>
