<?php
if( !defined('WP_CONTENT_DIR') ){
	define( 'WP_CONTENT_DIR', ABSPATH . 'wp-content' );
}

if( !function_exists('forum_mmoo_define_if_not') ){
	function forum_mmoo_define_if_not($name, $value){
		if( !defined($name) ){
			define( $name, $value );
		}
	}
}

forum_mmoo_define_if_not('FORUM_MMOO', dirname(plugin_basename(__FILE__)));

forum_mmoo_define_if_not('FORUM_MMOO_FILE_URL', get_option('siteurl').'/wp-content/plugins/'.FORUM_MMOO);
forum_mmoo_define_if_not('MMOO_EMOTIONS_FILE_URL', FORUM_MMOO_FILE_URL.'/js/mce/mmoo_emotions/');

forum_mmoo_define_if_not('FORUM_MMOO_DIRNAME', FORUM_MMOO );
forum_mmoo_define_if_not('FORUM_MMOO_DIR', WP_CONTENT_DIR . '/plugins/' . FORUM_MMOO_DIRNAME . '/');

forum_mmoo_define_if_not('FORUM_MMOO_DASHBOARD_DIRNAME', 'dashboard');
forum_mmoo_define_if_not('FORUM_MMOO_DASHBOARD_DIR', FORUM_MMOO_DIR . FORUM_MMOO_DASHBOARD_DIRNAME . '/');
forum_mmoo_define_if_not('FORUM_MMOO_DASHBOARD_VALPAGE', FORUM_MMOO.'_setting');
forum_mmoo_define_if_not('FORUM_MMOO_DASHBOARD_PARAMSUB', FORUM_MMOO.'_submenu');

forum_mmoo_define_if_not('FORUM_MMOO_DATA_DIRNAME', 'data');
forum_mmoo_define_if_not('FORUM_MMOO_DATA_DIR', FORUM_MMOO_DIR . FORUM_MMOO_DATA_DIRNAME . '/');
forum_mmoo_define_if_not('FORUM_MMOO_TEXT_DIRNAME', FORUM_MMOO.'_text');
forum_mmoo_define_if_not('FORUM_MMOO_TEXT_DIR', WP_CONTENT_DIR . '/plugins/' . FORUM_MMOO_TEXT_DIRNAME . '/');
forum_mmoo_define_if_not('FORUM_MMOO_TEXT_SAMPLE_DIRNAME', 'text.sample');
forum_mmoo_define_if_not('FORUM_MMOO_TEXT_SAMPLE_DIR', FORUM_MMOO_DIR . FORUM_MMOO_TEXT_SAMPLE_DIRNAME . '/');
forum_mmoo_define_if_not('FORUM_MMOO_FUNCTIONS_DIRNAME', 'functions');
forum_mmoo_define_if_not('FORUM_MMOO_FUNCTIONS_DIR', FORUM_MMOO_DIR . FORUM_MMOO_FUNCTIONS_DIRNAME . '/');

forum_mmoo_define_if_not('FORUM_MMOO_CONTENT_DIRNAME', 'content');
forum_mmoo_define_if_not('FORUM_MMOO_CONTENT_DIR', FORUM_MMOO_DIR . FORUM_MMOO_CONTENT_DIRNAME . '/');

forum_mmoo_define_if_not('FORUM_MMOO_FLAG_YES', 'y');
forum_mmoo_define_if_not('FORUM_MMOO_FLAG_NO', 'n');
forum_mmoo_define_if_not('FORUM_MMOO_FLAG_INFINIT', 'aa');
forum_mmoo_define_if_not('FORUM_MMOO_FLAG_ZERO', 'zz');

forum_mmoo_define_if_not('FORUM_MMOO_MEMBER_INFO_NUM', 10);
forum_mmoo_define_if_not('FORUM_MMOO_COOKIE_EXPIRE', time()+30*86400);
forum_mmoo_define_if_not('FORUM_MMOO_MAIL_CONFIRM_LIMIT', 7);
forum_mmoo_define_if_not('FORUM_MMOO_HN_SHORTEN', 12);
forum_mmoo_define_if_not('FORUM_MMOO_TOPIC_SHORTEN', 20);
forum_mmoo_define_if_not('FORUM_MMOO_POST_SHORTEN', 20);
forum_mmoo_define_if_not('FORUM_MMOO_MESSAGE_SHORTEN', 12);
forum_mmoo_define_if_not('FORUM_MMOO_DASHBOARD_MEMBER_NUM', 10);
forum_mmoo_define_if_not('FORUM_MMOO_CONTENT_MEMBER_NUM', 10);
forum_mmoo_define_if_not('FORUM_MMOO_MESSAGE_NUM', 10);

forum_mmoo_define_if_not('FORUM_MMOO_TAG', '@@@'.FORUM_MMOO.'@@@');
forum_mmoo_define_if_not('FORUM_MMOO_DELIM_AMP', '&');
forum_mmoo_define_if_not('FORUM_MMOO_SEARCH_SPACE', '@*@*@');

forum_mmoo_define_if_not('FORUM_MMOO_DEBUG', false);
forum_mmoo_define_if_not('FORUM_MMOO_DEBUG_DIR', WP_CONTENT_DIR . '/plugins/'.FORUM_MMOO.'_debug/');

forum_mmoo_define_if_not('FORUM_MMOO_UNEXPECTED_ERROR_MESSAGE', 'Please contact your administrator.');
forum_mmoo_define_if_not('FORUM_MMOO_MUST_LOGIN_MESSAGE', 'You need to be signed in as a member');
forum_mmoo_define_if_not('FORUM_MMOO_HN_ANONYMOUS', '???');

?>